Skip to content

GET list of bot detection rule deployments.

GET
/api/shape/bot/custom/namespaces/{namespace}/bot_detection_rules/deployments
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/custom/namespaces/example/bot_detection_rules/deployments \
--header 'Authorization: <Authorization>'

Getbotdetectionrulesdeployments CustomAPI.

Examples of this operation.

namespace
required
string

Namespace x-required Namespace is used to scope the query.

rules_deployment_status
Array<string>
Allowed values: BOT_DETECTION_RULES_DEPLOYMENT_STATUS_UNKNOWN BOT_DETECTION_RULES_DEPLOYMENT_STATUS_DRAFT BOT_DETECTION_RULES_DEPLOYMENT_STATUS_INITIATED BOT_DETECTION_RULES_DEPLOYMENT_STATUS_DEPLOYED BOT_DETECTION_RULES_DEPLOYMENT_STATUS_FAILED BOT_DETECTION_RULES_DEPLOYMENT_STATUS_PARTIALLY_DEPLOYED BOT_DETECTION_RULES_DEPLOYMENT_STATUS_DISCARDED_DRAFT BOT_DETECTION_RULES_DEPLOYMENT_STATUS_INITIATION_FAILED BOT_DETECTION_RULES_DEPLOYMENT_STATUS_PARTIALLY_INITIATED

The deployments will be filtered by the deployment status values provided. This field is optional. If no deployment status values are provided, all the deployments will be fetched

Initiated represents the status when SAPI returns successful deployment acknowledgement for all the clusters within the batch Deployed represents the status when SAPI’s deployment status API returns success for all the clusters within the batch Failed represents the status when SAPI’s deployment status API returns failure for all the clusters within the batch Partially Deployed represents the status when SAPI’s deployment status API returns success for some clusters while failure for other clusters within the batch Initiation failed represents the status when SAPI returns failed deployment acknowledgement for all the clusters within the batch Partially initiated represents the status when SAPI returns success deployment acknowledgement for some clusters while failed deployment acknowledgement for other clusters within the batch.

A successful response.

Media typeapplication/json
GetBotDetectionRulesDeploymentsResponse

Response for GET bot detection rules deployments.

object
bot_detection_rules_deployments
Deployments

List of bot detection rules deployments.

Array<object>
BotDetectionRulesDeployment

Bot detection rules deployment.

object
bot_infrastructures
Bot Infrastructures

Infrastructure configuration

Array<object>
Bot Infrastructure

Bot Infrastructure.

object
environment_type
string
default: PRODUCTION
Allowed values: PRODUCTION TESTING
name
Name

Name of the bot-infrastructure.

string
>= 6 characters <= 1024 characters
comments
Comments

Comments provided by official for making the changes to rule configuration.

string
<= 1024 characters
deployment_id
Deployment Id

Unique identifier for a deployment batch.

string
<= 1024 characters
deployment_status
string
default: BOT_DETECTION_RULES_DEPLOYMENT_STATUS_UNKNOWN
Allowed values: BOT_DETECTION_RULES_DEPLOYMENT_STATUS_UNKNOWN BOT_DETECTION_RULES_DEPLOYMENT_STATUS_DRAFT BOT_DETECTION_RULES_DEPLOYMENT_STATUS_INITIATED BOT_DETECTION_RULES_DEPLOYMENT_STATUS_DEPLOYED BOT_DETECTION_RULES_DEPLOYMENT_STATUS_FAILED BOT_DETECTION_RULES_DEPLOYMENT_STATUS_PARTIALLY_DEPLOYED BOT_DETECTION_RULES_DEPLOYMENT_STATUS_DISCARDED_DRAFT BOT_DETECTION_RULES_DEPLOYMENT_STATUS_INITIATION_FAILED BOT_DETECTION_RULES_DEPLOYMENT_STATUS_PARTIALLY_INITIATED
deployment_time
DeploymentTime

Timestamp at which the deployment was initiated.

string format: date-time
<= 1024 characters
modified_by
Modified By

EmailID of the official who made the change. In case the changed is made by F5 official, the value will be ‘F5’

string
<= 1024 characters
number_of_rules
Number of rules

Rule or policy definition

integer format: int64
rules
Rules

List of rules that went in the deployment.

Array<string>
traffic_types
Traffic Types

Configuration parameter for traffic types

Array<string>
Allowed values: WEB MOBILE
Example
{
"bot_detection_rules_deployments": [
{
"bot_infrastructures": [
{
"environment_type": "PRODUCTION"
}
],
"deployment_status": "BOT_DETECTION_RULES_DEPLOYMENT_STATUS_UNKNOWN",
"traffic_types": [
"WEB"
]
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example